package org.dromara.mall.product.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.mall.product.domain.bo.MallSkuBo;
import org.dromara.mall.product.domain.vo.MallSkuVo;

import java.util.Collection;
import java.util.List;

/**
 * SKU Service接口
 *
 * @author pengles
 */
public interface MallSkuService {

    /**
     * 查询SKU
     */
    MallSkuVo queryById(Long id);

    /**
     * 查询SKU列表
     */
    TableDataInfo<MallSkuVo> queryPageList(MallSkuBo bo, PageQuery pageQuery);

    /**
     * 查询SKU列表
     */
    List<MallSkuVo> queryList(MallSkuBo bo);

    /**
     * 根据商品ID查询SKU列表
     */
    List<MallSkuVo> queryListByProductId(Long productId);

    /**
     * 新增SKU
     */
    Boolean insertByBo(MallSkuBo bo);

    /**
     * 修改SKU
     */
    Boolean updateByBo(MallSkuBo bo);

    /**
     * 校验并批量删除SKU信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

}